[**@rxap/material-table-system v19.0.2-dev.1**](../README.md)

***

[@rxap/material-table-system](../globals.md) / TableRemoteMethodAdapterFactory

# Type Alias: TableRemoteMethodAdapterFactory()\<Data\>

> **TableRemoteMethodAdapterFactory**\<`Data`\>: (`method`, `paginator`?, `sort`?, `filter`?, `parameters`?) => `Method`\<`Data`[], `TableEvent`\>

Defined in: [packages/angular/material/table-system/src/lib/table-data-source.directive.ts:47](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-data-source.directive.ts#L47)

## Type Parameters

• **Data** *extends* `Record`\<`string`, `any`\> = `Record`\<`string`, `any`\>

## Parameters

### method

`Method`

### paginator?

`PaginatorLike`

### sort?

`SortLike` | `null`

### filter?

`FilterLike` | `null`

### parameters?

`Observable`\<`Record`\<`string`, `any`\>\>

## Returns

`Method`\<`Data`[], `TableEvent`\>
